#pragma once


// CAudioDlg 对话框

class CAudioDlg : public CDialog
{
	DECLARE_DYNAMIC(CAudioDlg)

public:
	CAudioDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CAudioDlg();

// 对话框数据
	enum { IDD = IDD_DLG_AUDIO };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

public:
	UINT m_uiCardNumber;

public:
	//在播\待播音量
	CEdit m_MediaAudioVolumn;
	CEdit m_MediaNextFileAudioVolumn;
	UINT m_uiMediaAudioVolumn;
	UINT m_uiNextFileMediaAudioVolumn;	
	//播放\转播音量自动使能
	BOOL m_bMediaAudioAutoAdjustEnabled;
	BOOL m_bCapturedAudioAutoAdjustEnabled;
	//在播\待播文件声道
	CComboBox m_ComboAudioChannel;
	CComboBox m_ComboNextFileAudioChannel;
	//在播\待播文件声道
	UINT m_uiMediaAudioChannel;
	UINT m_uiNextFileMediaAudioChannel;

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
public:
	virtual BOOL OnInitDialog();
public:
	afx_msg void OnBnClickedButtonSetMediaAudioVolumn();
	afx_msg void OnBnClickedButtonSetMediaNextFileAudioVolumn();
	afx_msg void OnBnClickedButtonMediaAudioAutoAdjust();
	afx_msg void OnBnClickedButtonCaptureAudioAutoAdjust();
public:
	afx_msg void OnCbnSelchangeComboAudioChannel();
public:
	afx_msg void OnCbnSelchangeComboNextFileAudioChannel();
	afx_msg void OnCbnSelchangeComboAudioOutputMode();
	afx_msg void OnCbnSelchangeComboAudioOutputSource();
};
